Name:          plymouth
Epoch:         3
Version:       0.9.5
Release:       2mamba
Summary:       Provides a graphical boot animation while the boot process happens in the background
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.freedesktop.org/wiki/Software/Plymouth
Source:        https://gitlab.freedesktop.org/plymouth/plymouth.git/%{version}/plymouth-%{version}.tar.bz2
Source1:       initrd-functions
Source2:       plymouth-sddm.service
Source3:       plymouth-kdm.service
Source4:       plymouth-gdm.service
Source5:       plymouth-lxdm.service
Source6:       plymouth-deactivate.service
Patch0:        %{name}-0.8.3-libpng-1.4.patch
Patch2:        %{name}-0.8.3-fix_tty1_echo.patch
Patch3:        %{name}-0.8.5-dont_disable_fb_if_console_cmdline_is_passed.patch
Patch4:        plymouth-0.8.8-fix-crash-on-deactivate.patch
Patch5:        plymouth-0.9.2.20150815git-ensure-start-drm-before-plymouth.patch
Patch6:        plymouth-0.9.3.20160705git-disable_ShowDelay.patch
Patch7:        plymouth-0.9.3-quit-retain-splash.patch
Patch8:        plymouth-0.9.3.20171122git-no-systemd-vconsole-setup.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libbrotli-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libdrm-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgtk3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libpango-devel
BuildRequires: libpcre-devel
BuildRequires: libpng-devel
BuildRequires: libudev-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Obsoletes:     splashutils < 3:0.9.5-2mamba
Obsoletes:     miscsplashutils < 3:0.9.5-2mamba
Requires:      plymouththeme
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Plymouth is an application that runs very early in the boot process (even before the root filesystem is mounted!) that provides a graphical boot animation while the boot process happens in the background.
It is designed to work on systems with DRM modesetting drivers. The idea is that early on in the boot process the native mode for the computer is set, plymouth uses that mode, and that mode stays throughout the entire boot process up to and after X starts. Ideally, the goal is to get rid of all flicker during startup.
For systems that don't have DRM mode settings drivers, plymouth falls back to text mode (it can also use a legacy /dev/fb interface).
In either text or graphics mode, the boot messages are completely occluded. After the root file system is mounted read-write, the messages are dumped to /var/log/boot.log. Also, the user can see the messages at any time during boot up by hitting the escape key. 

%package -n lib%{name}
Summary:       Shared libraries provided by %{name}
Group:         System/Libraries

%description -n lib%{name}
Plymouth is an application that runs very early in the boot process (even before the root filesystem is mounted!) that provides a graphical boot animation while the boot process happens in the background.
It is designed to work on systems with DRM modesetting drivers. The idea is that early on in the boot process the native mode for the computer is set, plymouth uses that mode, and that mode stays throughout the entire boot process up to and after X starts. Ideally, the goal is to get rid of all flicker during startup.
For systems that don't have DRM mode settings drivers, plymouth falls back to text mode (it can also use a legacy /dev/fb interface).
In either text or graphics mode, the boot messages are completely occluded. After the root file system is mounted read-write, the messages are dumped to /var/log/boot.log. Also, the user can see the messages at any time during boot up by hitting the escape key. 
This package contains static libraries and header files need for development.

%package -n lib%{name}-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     splashutils-devel < 3:0.9.5
Provides:      plymouth-devel
Obsoletes:     plymouth-devel <= 3:0.9.5-1mamba

%description -n lib%{name}-devel
Plymouth is an application that runs very early in the boot process (even before the root filesystem is mounted!) that provides a graphical boot animation while the boot process happens in the background.
It is designed to work on systems with DRM modesetting drivers. The idea is that early on in the boot process the native mode for the computer is set, plymouth uses that mode, and that mode stays throughout the entire boot process up to and after X starts. Ideally, the goal is to get rid of all flicker during startup.
For systems that don't have DRM mode settings drivers, plymouth falls back to text mode (it can also use a legacy /dev/fb interface).
In either text or graphics mode, the boot messages are completely occluded. After the root file system is mounted read-write, the messages are dumped to /var/log/boot.log. Also, the user can see the messages at any time during boot up by hitting the escape key. 
This package contains static libraries and header files need for development.

%package gui
Summary:       GUI log viewer for %{name}
Group:         Graphical Desktop/Applications/Administration
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description gui
Plymouth is an application that runs very early in the boot process (even before the root filesystem is mounted!) that provides a graphical boot animation while the boot process happens in the background.
It is designed to work on systems with DRM modesetting drivers. The idea is that early on in the boot process the native mode for the computer is set, plymouth uses that mode, and that mode stays throughout the entire boot process up to and after X starts. Ideally, the goal is to get rid of all flicker during startup.
For systems that don't have DRM mode settings drivers, plymouth falls back to text mode (it can also use a legacy /dev/fb interface).
In either text or graphics mode, the boot messages are completely occluded. After the root file system is mounted read-write, the messages are dumped to /var/log/boot.log. Also, the user can see the messages at any time during boot up by hitting the escape key. 
This package contains the GUI components for boot log viewing.

%package x11
Summary:       X11 renderer plugin for %{name}
Group:         System/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description x11
Plymouth is an application that runs very early in the boot process (even before the root filesystem is mounted!) that provides a graphical boot animation while the boot process happens in the background.
It is designed to work on systems with DRM modesetting drivers. The idea is that early on in the boot process the native mode for the computer is set, plymouth uses that mode, and that mode stays throughout the entire boot process up to and after X starts. Ideally, the goal is to get rid of all flicker during startup.
For systems that don't have DRM mode settings drivers, plymouth falls back to text mode (it can also use a legacy /dev/fb interface).
In either text or graphics mode, the boot messages are completely occluded. After the root file system is mounted read-write, the messages are dumped to /var/log/boot.log. Also, the user can see the messages at any time during boot up by hitting the escape key. 
This package contains the X11 renderer pluing.

%package themes
Summary:       Plymouth default themes
Group:         System/Kernel and Hardware
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description themes
Plymouth is an application that runs very early in the boot process (even before the root filesystem is mounted!) that provides a graphical boot animation while the boot process happens in the background.
It is designed to work on systems with DRM modesetting drivers. The idea is that early on in the boot process the native mode for the computer is set, plymouth uses that mode, and that mode stays throughout the entire boot process up to and after X starts. Ideally, the goal is to get rid of all flicker during startup.
For systems that don't have DRM mode settings drivers, plymouth falls back to text mode (it can also use a legacy /dev/fb interface).
In either text or graphics mode, the boot messages are completely occluded. After the root file system is mounted read-write, the messages are dumped to /var/log/boot.log. Also, the user can see the messages at any time during boot up by hitting the escape key. 
This package contains the default themes provides with plymouth.

%debug_package

%prep
%setup -q
#-D -T
#:<< _EOF
%patch5 -p1
##%patch6 -p1
#%patch7 -p1
%patch8 -p1

./autogen.sh

%build
#:<< _EOF
%configure \
   --with-logo=%{_datadir}/icons/hicolor/64x64/apps/openmamba.png \
   --with-background-color=0x0BB03A \
   --with-background-start-color-stop=0x00993F \
   --with-background-end-color-stop=0x1CD434 \
   --with-release-file=%{_sysconfdir}/%{_host_vendor}-release \
   --with-runtime-dir=/run \
%ifnarch %{ix86} x86_64
   --disable-libdrm_intel \
   --disable-libdrm_radeon \
   --disable-libdrm_nouveau \
%endif
%ifarch x86_64 aarch64
   --libexecdir=%{_prefix}/libexec \
%endif
   --enable-pango \
   --enable-systemd-integration

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

#install -D -m0755 %{SOURCE1} %{buildroot}%{_prefix}/libexec/initrd-functions

install -D -m0644 %{SOURCE2} %{buildroot}%{_unitdir}/sddm-plymouth.service
install -D -m0644 %{SOURCE3} %{buildroot}%{_unitdir}/kdm-plymouth.service
install -D -m0644 %{SOURCE4} %{buildroot}%{_unitdir}/gdm-plymouth.service
install -D -m0644 %{SOURCE5} %{buildroot}%{_unitdir}/lxdm-plymouth.service
install -D -m0644 %{SOURCE6} %{buildroot}%{_unitdir}/plymouth-deactivate.service

%find_lang %{name}

## don't quit plymouth on multi-user target to allow smooth transition to X in graphical target
#rm -f %{buildroot}/lib/systemd/system/multi-user.target.wants/plymouth-quit-wait.service
#rm -f %{buildroot}/lib/systemd/system/multi-user.target.wants/plymouth-quit.service

#install -d -m0755 %{buildroot}%{_prefix}/lib/tmpfiles.d
#cat > %{buildroot}%{_prefix}/lib/tmpfiles.d/plymouth.conf << _EOF
#f /var/spool/gdm/force-display-on-active-vt 0644 root root -
#_EOF

%posttrans
KVER=`uname -r`
INITRAMFS=/boot/initramfs-$KVER.img
if [ -e /boot/vmlinuz-$KVER ]; then
   KERNEL=/boot/vmlinuz-$KVER
   [ -e $INITRAMFS -a /sbin/plymouthd -nt $INITRAMFS ] || continue
   [ -e $KERNEL -a -e /usr/bin/mkinitrd ] || continue
   mkinitrd $INITRAMFS $KVER -f -q
fi
:

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/plymouth/plymouthd.conf
%{_sysconfdir}/logrotate.d/bootlog
%{_bindir}/plymouth
%{_sbindir}/plymouthd
#%{_bindir}/rhgb-client
%{_unitdir}/sddm-plymouth.service
%{_unitdir}/kdm-plymouth.service
%{_unitdir}/gdm-plymouth.service
%{_unitdir}/lxdm-plymouth.service
%{_unitdir}/plymouth-*.service
%{_unitdir}/systemd-ask-password-plymouth.path
%{_unitdir}/systemd-ask-password-plymouth.service
%{_unitdir}/halt.target.wants/plymouth-halt.service
%{_unitdir}/initrd-switch-root.target.wants/plymouth-switch-root.service
%{_unitdir}/initrd-switch-root.target.wants/plymouth-start.service
%{_unitdir}/kexec.target.wants/plymouth-kexec.service
%{_unitdir}/multi-user.target.wants/plymouth-quit-wait.service
%{_unitdir}/multi-user.target.wants/plymouth-quit.service
%{_unitdir}/poweroff.target.wants/plymouth-poweroff.service
%{_unitdir}/reboot.target.wants/plymouth-reboot.service
%{_unitdir}/sysinit.target.wants/plymouth-read-write.service
%{_unitdir}/sysinit.target.wants/plymouth-start.service
#%{_prefix}/lib/tmpfiles.d/plymouth.conf
# NOTE: don't replace with %_libexecdir to avoid breaking x86_64
%dir %{_prefix}/libexec/plymouth
%{_prefix}/libexec/plymouth/plymouth-generate-initrd
%{_prefix}/libexec/plymouth/plymouth-populate-initrd
%{_prefix}/libexec/plymouth/plymouth-update-initrd
%{_sbindir}/plymouth-set-default-theme
#%{_datadir}/gdm/autostart/LoginWindow/plymouth-log-viewer.desktop
%{_datadir}/plymouth/plymouthd.defaults
%dir %{_datadir}/plymouth/themes
%dir %{_datadir}/plymouth/themes/details
%{_datadir}/plymouth/themes/details/*
%dir %{_datadir}/plymouth/themes/text
%{_datadir}/plymouth/themes/text/*
%dir %{_datadir}/plymouth/themes/bgrt
%{_datadir}/plymouth/themes/bgrt/*
%dir /var/lib/plymouth
#%dir /var/run/plymouth
%dir /var/spool/plymouth
%{_mandir}/man1/plymouth-set-default-theme.1*
%{_mandir}/man1/plymouth.1*
%{_mandir}/man8/plymouthd.8*
%{_mandir}/man8/plymouth.8*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libply-splash-core.so.*
%{_libdir}/libply.so.*
%{_libdir}/libply-boot-client.so.*
%{_libdir}/libply-splash-graphics.so.*
%dir %{_libdir}/plymouth
%{_libdir}/plymouth/details.*
%{_libdir}/plymouth/fade-throbber.*
%{_libdir}/plymouth/label.*
%{_libdir}/plymouth/renderers/drm.*
%{_libdir}/plymouth/renderers/frame-buffer.*
%{_libdir}/plymouth/script.*
%{_libdir}/plymouth/space-flares.*
%{_libdir}/plymouth/text.*
#%{_libdir}/plymouth/throbgress.*
%{_libdir}/plymouth/two-step.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/plymouth-1
%{_libdir}/libply-splash-core.la
%{_libdir}/libply-splash-core.so
%{_libdir}/libply.la
%{_libdir}/libply.so
%{_libdir}/libply-boot-client.la
%{_libdir}/libply-boot-client.so
%{_libdir}/libply-splash-graphics.la
%{_libdir}/libply-splash-graphics.so
%{_libdir}/pkgconfig/*.pc
#%doc ChangeLog NEWS README TODO

#%files gui
#%defattr(-,root,root)
#%{_bindir}/plymouth-log-viewer

%files x11
%defattr(-,root,root)
%{_libdir}/plymouth/renderers/x11.*

%files themes
%defattr(-,root,root)
%{_libdir}/plymouth/tribar.la
%{_libdir}/plymouth/tribar.so
%dir %{_datadir}/plymouth/themes/fade-in
%{_datadir}/plymouth/themes/fade-in/*
%dir %{_datadir}/plymouth/themes/glow
%{_datadir}/plymouth/themes/glow/*
%dir %{_datadir}/plymouth/themes/script
%{_datadir}/plymouth/themes/script/*
%dir %{_datadir}/plymouth/themes/solar
%{_datadir}/plymouth/themes/solar/*
%dir %{_datadir}/plymouth/themes/spinner
%{_datadir}/plymouth/themes/spinner/*
%dir %{_datadir}/plymouth/themes/spinfinity
%{_datadir}/plymouth/themes/spinfinity/*
%dir %{_datadir}/plymouth/themes/tribar
%{_datadir}/plymouth/themes/tribar/*

%changelog
* Sat May 01 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.5-2mamba
- rebuilt in /usr; added library subpackage

* Sat Nov 21 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.5-1mamba
- update to 0.9.5

* Sun Mar 29 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.4.20200329git-1mamba
- update to 0.9.4.20200329git

* Wed Mar 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.4.20200311git-1mamba
- update to 0.9.4.20200311git

* Fri Mar 29 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.4.20190329git-1mamba
- update to 0.9.4.20190329git

* Fri Jan 11 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3.20190111git-1mamba
- update to 0.9.3.20190111git

* Mon Feb 12 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3.20180212git-1mamba
- update to 0.9.3.20180212git
- revert to upstream version because endlessm fork does not work with breeze

* Mon Dec 04 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.2-1mamba
- update to 3.3.2 (endlessm fork)
- patched to fix crash in script-lib-sprite.c at quit (maybe with --retain-splash)

* Wed Nov 22 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3.20171122git-2mamba
- plymouth-start.service: patched to not depend on systemd-vconsole-service which is being called too early

* Wed Nov 22 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3.20171122git-1mamba
- update to 0.9.3.20171122git
- added plymouth-deactive.service from arch required by dm specific services

* Thu Oct 26 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3-2mamba
- added patch to quit with --retain-splash
- added plymouth-[sddm,kdm,ldxm,gdm] systemd service

* Wed Oct 25 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3-1mamba
- update to 0.9.3

* Tue Apr 18 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3.20160705git-2mamba
- don't create initramfs if kernel image isn't found (for chroot in makedist)

* Tue Jul 05 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3.20160705git-1mamba
- update to 0.9.3.20160705git

* Sun Aug 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.2.20150815git-2mamba
- plymouth-start.service: patched to trigger udev drm drivers before running plymouthd
- plymouthd.defaults: patch to set ShowDelay=0

* Sat Aug 15 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.2.20150815git-1mamba
- update to 0.9.2.20150815git

* Wed Mar 25 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.2-1mamba
- update to 0.9.2

* Sat Mar 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.0-2mamba
- bump epoch to upgrade old 0.8.8, now it seems working with maybe current dracut

* Wed Jun 04 2014 Automatic Build System <autodist@mambasoft.it> 0.9.0-1mamba
- automatic update by autodist

* Sat Aug 10 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.8-5mamba
- remove dir /var/run/plymouth

* Sun Jul 14 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.8-4mamba
- added upstream patch to fix crash on deactivate
- added debug package

* Sat Jun 29 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.8-3mamba
- restore plymouth-quit in multi-user target because of too many problems (thus no smooth transition for now)

* Mon Jun 24 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.8-2mamba
- remove multi-user target wants for plymouth-quit to allow smooth transition to graphical mode

* Thu Jun 20 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.8-1mamba
- update to 0.8.8

* Sun Mar 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.6.1-2mamba
- rebuilt with systemd integration

* Sun Oct 14 2012 Automatic Build System <autodist@mambasoft.it> 0.8.6.1-1mamba
- automatic version update by autodist

* Sun Sep 02 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.5.1-2mamba
- update and restore dont_disable_fb_if_console_cmdline_is_passed patch

* Thu Jun 28 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.5.1-1mamba
- update to 0.8.5.1

* Fri Mar 02 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.3.git20120212-2mamba
- modify and reapply patch dont_disable_fb_if_console_cmdline_is_passed

* Sun Feb 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.3.git20120212-1mamba
- update to 0.8.3.git20120212

* Tue Dec 06 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.3-10mamba
- move back details and text themes to main package
- added a patch that prevents plymouthd from disabling rendered output if console variable is passed in kernel cmdline

* Thu Dec 01 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.3-9mamba
- removed internal openmamba theme and added requirement for plymouththeme

* Thu Sep 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.3-8mamba
- also obsolete splash-theme-openmamba and splash-theme-openmamba1

* Fri Sep 09 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.3-7mamba
- obsolete splashutils, miscsplashutils and splash-theme-openmamba1
- provide and obsolete splash-theme-openmamba

* Sat Apr 30 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.3-6mamba
- add patch to fix echo problem on first tty console (see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=595178)

* Tue Sep 14 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.3-5mamba
- openmamba theme: fixed sprite scaling

* Fri Sep 10 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.3-4mamba
- configured with green colors
- moved label.so from -x11 to plymouth package to enable message display support
- added openmamba theme and set as default

* Mon Sep 06 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.3-3mamba
- added -x11 and -gui subpackages to remove X11 dependencies from main package

* Sun Sep 05 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.3-2mamba
- configured with openmamba logo and fixed release file path
- added png 1.4 patch
- added default splash patch

* Fri Aug 06 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.3-1mamba
- package created by autospec
